<template>
  <div class="container">
    <Breadcrumb :items="['Agent', '配置']" />
    <div class="iframe-box">
      <iframe :src="url" height="100%" width="100%" frameborder="0"></iframe>
    </div>
  </div>
</template>

<script lang="ts" setup>
import defaultSettings from "@/config/settings.json";

import { onBeforeMount, ref } from "vue";

const url = ref("");

onBeforeMount(() => {
  url.value = `${
    defaultSettings.RAGFlowUrl ? defaultSettings.RAGFlowUrl : window.location.origin
  }/sub/RAGFlow/flow?${localStorage.Authorization}`;
});
</script>

<script lang="ts">
export default {
  name: "Agent",
};
</script>

<style scoped lang="less">
.container {
  padding: 0 20px 20px 20px;
  :deep(.arco-list-content) {
    overflow-x: hidden;
  }

  :deep(.arco-card-meta-title) {
    font-size: 14px;
  }
}
.iframe-box {
  width: 100%;
  height: calc(100vh - 176px);
}
</style>
